[youtubei.js](../../../README.md) / [Utils](../README.md) / getCookie

# Function: getCookie()

> **getCookie**(`cookies`, `name`, `matchWholeName`): `string` \| `undefined`

## Parameters

• **cookies**: `string`

• **name**: `string`

• **matchWholeName**: `boolean` = `false`

## Returns

`string` \| `undefined`

## Defined in

[src/utils/Utils.ts:247](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/Utils.ts#L247)
